View Issue Details

IDProjectCategoryView StatusLast Update
0000115FreeCADFeaturepublic2010-09-08 18:49
Reporteryorik Assigned Toyorik  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version0.11Fixed in Version0.11 
Summary0000115: Create mechanism to ease updating Drawing sheet from the Draft module
DescriptionA Drawing sheet is considered an ouput from a FreeCAD project and is expected to be updated many times. The Draft sendToDrawing command already allows you to send the same objects several times to a drawing sheet (older objects with same name get removed) but there should be a better mechanism to keep track of line & fill style when you update an existing object.

The typical scenario would be you send some objects, configure their scale, line width, style and fill, and then next time you re-send them, they keep the same settings.
TagsNo tags attached.
FreeCAD Information

Activities

yorik

2010-07-01 20:14

administrator   ~0000256

Partially implemented in R3279. The Draft sendToDrawing command now sets the Hint Scale and Hint Offset properties of a page when you draw on it. Next time you draw objects on the same page, those properties will be recalled. So each page "remembers" its offset & scale, and you can just send new objects to it without having to care about where they will land.

Now the rest will be inside the objects themselves...

yorik

2010-09-08 18:49

administrator   ~0000319

This is basically working now

Issue History

Date Modified Username Field Change
2010-06-29 12:18 yorik New Issue
2010-06-29 12:18 yorik Status new => assigned
2010-06-29 12:18 yorik Assigned To => yorik
2010-07-01 20:14 yorik Note Added: 0000256
2010-09-08 18:49 yorik Note Added: 0000319
2010-09-08 18:49 yorik Status assigned => closed
2010-09-08 18:49 yorik Resolution open => fixed
2010-09-08 18:49 yorik Fixed in Version => 0.11